Name:		python-pydot
Version:	1.0.25
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
Summary:	Python interface to Graphviz's Dot language
URL:		http://code.google.com/p/pydot/
Source0:	http://pydot.googlecode.com/files/pydot-%{version}.tar.gz
BuildRequires:	python-pyparsing python-devel
Requires:	graphviz, python-pyparsing
BuildArch:	noarch

%description
An interface for creating both directed and non directed graphs from Python. 
Currently all attributes implemented in the Dot language are supported (up 
to Graphviz 2.16).

Output can be inlined in Postscript into interactive scientific environments 
like TeXmacs, or output in any of the format's supported by the Graphviz 
tools dot, neato, twopi.

%prep
%setup -qn pydot-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT

# Why would you do this? :/
rm -rf $RPM_BUILD_ROOT%{_prefix}/LICENSE $RPM_BUILD_ROOT%{_prefix}/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE PKG-INFO README
%{python_sitelib}/dot_parser.py*
%{python_sitelib}/pydot-*.egg-info/
%{python_sitelib}/pydot.*


%changelog
* Sun Jul 17 2011 fwang <fwang> 1.0.25-2.mga2
+ Revision: 125381
- update group

* Sun Jul 17 2011 fwang <fwang> 1.0.25-1.mga2
+ Revision: 125306
- update tar dir
- imported package python-pydot

